Bug 594710 - [abrt] crash in Miro-3.0.1-1.fc12: tablist.py:502:update:KeyError: 6553
Summary: [abrt] crash in Miro-3.0.1-1.fc12: tablist.py:502:update:KeyError: 6553
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Miro   
(Show other bugs)
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Alex Lancaster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:41914560
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-21 12:26 UTC by Alexey Kuznetsov
Modified: 2010-09-15 05:52 UTC (History)
3 users (show)

Fixed In Version: Miro-3.0.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-14 05:04:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (702 bytes, text/plain)
2010-05-21 12:26 UTC, Alexey Kuznetsov
no flags Details

Description Alexey Kuznetsov 2010-05-21 12:26:52 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/miro.real
component: Miro
executable: /usr/bin/miro.real
kernel: 2.6.34-2.fc14.x86_64
package: Miro-3.0.1-1.fc12
reason: tablist.py:502:update:KeyError: 6553
release: Fedora release 12 (Constantine)
How to reproduce: aadd new feed by clicking 'add this feed' in the preview channel

backtrace
-----
tablist.py:502:update:KeyError: 6553

Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/gtk/threads.py", line 39, in wrap_idle_func
    func(*args, **kwargs)
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/application.py", line 1086, in handle_tabs_changed
    tablist.update(info)
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/tablist.py", line 502, in update
    old_name = self.view.model[self.iter_map[info.id]][0].name
KeyError: 6553

Local variables in innermost frame:
info: <miro.messages.ChannelInfo object at 0x7fc5948c3590>
self: <miro.frontends.widgets.tablist.AudioFeedList object at 0x7fc59465f090>

Comment 1 Alexey Kuznetsov 2010-05-21 12:26:56 UTC
Created attachment 415661 [details]
File: backtrace

Comment 2 Fedora Update System 2010-08-29 17:19:32 UTC
Miro-3.0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc14

Comment 3 Fedora Update System 2010-08-29 17:26:37 UTC
Miro-3.0.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc13

Comment 4 Fedora Update System 2010-08-29 17:30:43 UTC
Miro-3.0.3-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc12

Comment 5 Fedora Update System 2010-08-30 19:41:21 UTC
Miro-3.0.3-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Miro'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc14

Comment 6 will kahn-greene 2010-08-30 21:18:12 UTC
Alexey: Are you able to reproduce this issue or was this a one-time thing?

Comment 7 Alexey Kuznetsov 2010-08-31 04:40:04 UTC
it was fixed long time ago, isn't?

Comment 8 Fedora Update System 2010-09-14 05:02:15 UTC
Miro-3.0.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-09-15 05:34:10 UTC
Miro-3.0.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-09-15 05:49:16 UTC
Miro-3.0.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.